| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-cloudpipe | Lists cloudpipes. |
Normal response codes: 200
This table shows the URI parameters for the list cloudpipes request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
This operation does not require a request body.
Example 3.151. List cloudpipes: JSON response
{
"cloudpipes": [
{
"created_at": "2012-11-27T17:18:01Z",
"instance_id": "27deecdb-baa3-4a26-9c82-32994b815b01",
"internal_ip": "192.168.0.3",
"project_id": "cloudpipe-fa1765bd-a352-49c7-a6b7-8ee108a3cb0c",
"public_ip": "127.0.0.1",
"public_port": 22,
"state": "down"
}
]
}Example 3.152. List cloudpipes: XML response
<?xml version='1.0' encoding='UTF-8'?>
<cloudpipes>
<cloudpipe>
<public_ip>127.0.0.1</public_ip>
<created_at>2012-09-25T18:18:49Z</created_at>
<public_port>22</public_port>
<state>down</state>
<instance_id>1a17f615-343b-430f-976a-457c029eddb7</instance_id>
<internal_ip>192.168.0.3</internal_ip>
<project_id>cloudpipe-6405f2ca-caf9-493b-a1f6-e55f595d75ab</project_id>
</cloudpipe>
</cloudpipes>This operation does not return a response body.

